1.1

1.1

put /v1/data-ops-services/{data_ops_service_id}

Description

update data ops service

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_ops_service_id
required
data ops service ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataOpsServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataOpsServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops-services/{data_ops_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "scheduler": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "web_server": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        },
        "worker": {
            "cpu": "",
            "memory": "",
            "replica": "",
            "version": ""
        }
    },
    "worker_type": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:29.805Z",
    "data_ops_id": "",
    "data_ops_name": "",
    "data_ops_service_id": "",
    "data_ops_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:29.805Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}